void printl(long val);

int main()
{
  unsigned long i, j, val, val2, val3;

  for (i = -2; (long)i < 3; i++)
    for (j = -2; (long)j < 3; j++) {
      val2 = i;
      val3 = j;
      val = val2 = val3;
      printl(val);
      printl(val2);
      printl(val3);
    }

  return 0;
}
